## fdupes 1.1.1

=== Makefile ===
INSTALLDIR = /usr/local/bin
MANPAGEDIR = /usr/man
VERSION = 1.11

fdupes: fdupes.c
	gcc fdupes.c -o fdupes -DVERSION=\"$(VERSION)\"

test: fdupes
	./runtest

install: fdupes
	cp fdupes $(INSTALLDIR)
	cp fdupes.1 $(MANPAGEDIR)/man1

tarball: clean
	tar --directory=.. -c -z -v -f ../fdupes-$(VERSION).tar.gz fdupes

clean:
	rm -f *.o
	rm -f fdupes
	rm -f *~

love:
	@echo You\'re not my type. Go find a human partner.

## fdupes 1.6.1

=== Makefile ===
#
# fdupes Makefile
#

#####################################################################
# Standand User Configuration Section                               #
#####################################################################

#
# PREFIX indicates the base directory used as the basis for the 
# determination of the actual installation directories.
# Suggested values are "/usr/local", "/usr", "/pkgs/fdupes-$(VERSION)"
#
PREFIX = /usr/local

#
# When compiling for 32-bit systems, FILEOFFSET_64BIT must be enabled
# for fdupes to handle files greater than (2<<31)-1 bytes.
#
FILEOFFSET_64BIT = -D_FILE_OFFSET_BITS=64

#
# Certain platforms do not support long options (command line options).
# To disable long options, uncomment the following line.
#
#OMIT_GETOPT_LONG = -DOMIT_GETOPT_LONG

#####################################################################
# Developer Configuration Section                                   #
#####################################################################

#
# VERSION determines the program's version number.
#
include Makefile.inc/VERSION

#
# PROGRAM_NAME determines the installation name and manual page name
#
PROGRAM_NAME=fdupes

#
# BIN_DIR indicates directory where program is to be installed. 
# Suggested value is "$(PREFIX)/bin"
#
BIN_DIR = $(PREFIX)/bin

#
# MAN_DIR indicates directory where the fdupes man page is to be 
# installed. Suggested value is "$(PREFIX)/man/man1"
#
MAN_BASE_DIR = $(PREFIX)/share/man
MAN_DIR = $(MAN_BASE_DIR)/man1
MAN_EXT = 1

#
# Required External Tools
#

INSTALL = install	# install : UCB/GNU Install compatiable
#INSTALL = ginstall

RM      = rm -f

MKDIR   = mkdir -p
#MKDIR   = mkdirhier 
#MKDIR   = mkinstalldirs


#
# Make Configuration
#
CC ?= gcc
COMPILER_OPTIONS = -Wall -O -g

CFLAGS= $(COMPILER_OPTIONS) -I. -DVERSION=\"$(VERSION)\" $(OMIT_GETOPT_LONG) $(FILEOFFSET_64BIT)

INSTALL_PROGRAM = $(INSTALL) -c -m 0755
INSTALL_DATA    = $(INSTALL) -c -m 0644

#
# ADDITIONAL_OBJECTS - some platforms will need additional object files
# to support features not supplied by their vendor. Eg: GNU getopt()
#
#ADDITIONAL_OBJECTS = getopt.o

OBJECT_FILES = fdupes.o md5/md5.o $(ADDITIONAL_OBJECTS)

#####################################################################
# no need to modify anything beyond this point                      #
#####################################################################

all: fdupes

fdupes: $(OBJECT_FILES)
	$(CC) $(CFLAGS) $(LDFLAGS) -o fdupes $(OBJECT_FILES)

installdirs:
	test -d $(DESTDIR)$(BIN_DIR) || $(MKDIR) $(DESTDIR)$(BIN_DIR)
	test -d $(DESTDIR)$(MAN_DIR) || $(MKDIR) $(DESTDIR)$(MAN_DIR)

install: fdupes installdirs
	$(INSTALL_PROGRAM)	fdupes   $(DESTDIR)$(BIN_DIR)/$(PROGRAM_NAME)
	$(INSTALL_DATA)		fdupes.1 $(DESTDIR)$(MAN_DIR)/$(PROGRAM_NAME).$(MAN_EXT)

clean:
	$(RM) $(OBJECT_FILES)
	$(RM) fdupes
	$(RM) *~ md5/*~

love:
	@echo You\'re not my type. Go find a human partner.

=== debian/changelog ===
fdupes (1:1.6.1-2) unstable; urgency=medium

  * debian/control
    - update Vcs-* fields to point to salsa.d.o
    - bump Standards-Version to 4.3.0 (no changes needed)
  * bump compat to 11
  * debian/copyright
    - extend packaging copyright years
    - convert to machine-parsable format

 -- Sandro Tosi <morph@debian.org>  Fri, 01 Feb 2019 20:27:01 -0500

fdupes (1:1.6.1-1) unstable; urgency=medium

  * New upstream release, with new version schema x.y.z; Closes: #670631
  * debian/{control, copyright}
    - update upstream homepage location
  * debian/watch
    - point to github for releases
  * debian/patches/01-restore-pristine-code.patch
    - drop, importing the new upstream release effectively removed the custom
      changes to the code this patch reverted
  * debian/patches/*
    - drop all patches, merged upstream
  * debian/control
    - use HTTPS in Vcs-* fields
    - bump tandards-Version to 3.9.8 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Mon, 29 Aug 2016 18:49:26 +0100

fdupes (1.51-1) unstable; urgency=medium

  * debian/watch
    - point to Google Code
  * debian/patches/*
    - removed patches applied upstream
  * debian/control
    - bump Standards-Version to 3.9.5 (no changes needed)
    - use canonical URL for Alioth
    - add Multiarch metadata to allow cross build-dependencies; thanks to Wookey
      for the report and patch; Closes: #693822
  * debian/rules
    - migrated to dh sequencer
  * debian/{rules, patches/80-bts719246-set-CC-to-allow-cross-compilation.patch}
    - allow to pass the CC compiler to allow for cross-compilation; thanks to
      Eleanor Chen for the report and patch; Closes: #719246

 -- Sandro Tosi <morph@debian.org>  Wed, 22 Jan 2014 23:40:39 +0100

fdupes (1.50-PR2-4) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/patches/50_bts284274_hardlinkreplace.dpatch
    - disabled, since it's losing data if files are on different filesystems;
      thanks to Mike Hommey for the report; Closes: #677419

  [ Jari Aalto ]
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
  * Update to Standards-Version to 3.9.3 and debhelper to 9.
  * Add build-arch and build-indep targets; use dh_prep in rules file.
  * Closes: #669607

 -- Sandro Tosi <morph@debian.org>  Sun, 17 Jun 2012 21:46:25 +0200

fdupes (1.50-PR2-3) unstable; urgency=low

  * debian/control
    - updated Homepage field
    - updated upstream location
    - added Vcs-* fields (now using Git on git.debian.org)
    - bump Standards-Version to 3.8.4 (no changes needed)
    - added ${misc:Depends} to Depends
  * debian/patches/50_bts284274_hardlinkreplace.dpatch
    - added -L / --linkhard to make fdupes replace files with hardlinks. Also
      update the manual page; thanks to Rupert Levene for the report and to
      Javier Fernández-Sanguino Peña for the patch; Closes: #284274
  * debian/patches/60_bts544568_fix_memleaks.dpatch
    - fix memory leaks in main(); thanks to jbdenis for the report and patch;
      Closes: #544568
  * debian/patches/70_bts537138_disambiguate_recurse.dpatch
    - disambiguate the options '--recurse' and '--recurse:' ; thanks to Pietro
      Battiston for the report; Closes: #537138
  * debian/source/format
    - set explicitly version 1.0 source format

 -- Sandro Tosi <morph@debian.org>  Sat, 29 May 2010 10:08:59 +0200

fdupes (1.50-PR2-2) unstable; urgency=low

  * debian/control
    - bump Standards-Version to 3.8.0
      + added debian/README.source
    - updated my email address
  * debian/patches/30_bts481809_manpage_summarize.dpatch
    - added --summarize to manpage; thanks to Sam Morris for the report;
      Closes: #481809
  * debian/patches/40_bts511702_nohidden_support.dpatch
    - added support to exclude hidden files; thanks to Maximiliano Curia for the
      report and the patch (edited to patch manpage too); Closes: #511702
  * debian/copyright
    - added debian packaging legal stuff

 -- Sandro Tosi <morph@debian.org>  Thu, 05 Feb 2009 01:22:45 +0100

fdupes (1.50-PR2-1) unstable; urgency=low

  * Adopting package (Closes: #469883)
  * New upstream release (Closes: #469812)
  * debian/control
    - set myself as maintainer
    - bump Standards-Version to 3.7.3
    - set debhelper versioned build-dep >= 5
    - remove capitalization from short description
    - reformat long description
    - added dpatch build-dep
    - added Homepage field
  * debian/compat
    - created with value 5
  * debian/copyright
    - clearly separate (and indented with 4 spaces) upstream author, copyright
      and license notices
    - reformatted header: "debianized by" and upstream website
    - reformatted legal info for md5 files
  * debian/rules
    - removed DH_COMPAT
    - commented out DH_VERBOSE
    - no longer ignore clean error (lintian warning)
    - removed commented dh_* calls
    - program installation now is done using Makefile
    - removed unneeded dh_* call
    - reformat input parameters for dh_* calls
    - added dpatch stuff
    - using dh_installman now
  * debian/patches/01_restore_pristine_code.dpatch
    - added to restore pristine upstream code
    - edited to adapt to new upstrem release
  * debian/watch
    - added
  * debian/patches/10_bts353789_manpage_typo.dpatch
    - added to fix a typo in the manpage; thanks to A Costa; (Closes: #353789)
  * debian/patches/20_bts447601_lfs_support.dpatch
    - added to support LFS (files > 2GB); thanks to Andrew Vaughan; (Closes:
      #447601)
  * debian/patches/05_fix_makefile.dpatch
    - added to fix upstream Makefile
  * debian/patches/07_fix_manpage.dpatch
    - added to escape minus signs in manpage (lintian warning)

 -- Sandro Tosi <matrixhasu@gmail.com>  Tue, 18 Mar 2008 23:22:29 +0100

fdupes (1.40-4) unstable; urgency=low

  * applied Peter Harvey's speed up (sped that up too!) (closes: #213385)
    in fact this fixes a bug - sometimes zero sized files would not be
    shown as duplicates



=== debian/control ===
Source: fdupes
Section: utils
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Build-Depends: debhelper (>= 11)
Standards-Version: 4.3.0
Homepage: https://github.com/adrianlopezroche/fdupes
Vcs-Git: https://salsa.debian.org/morph/fdupes.git
Vcs-Browser: https://salsa.debian.org/morph/fdupes

Package: fdupes
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: foreign
Description: identifies duplicate files within given directories
 FDupes uses md5sums and then a byte by byte comparison to find
 duplicate files within a set of directories. It has several useful
 options including recursion.

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/fdupes-$1.tar.gz/" \
  https://github.com/adrianlopezroche/fdupes/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## fdupes 1.40

=== Makefile ===
#
# INSTALLDIR indicates directory where program is to be installed. 
# Suggested values are "/usr/local/bin" or "/usr/bin".
#
INSTALLDIR = /usr/local/bin

#
# MANPAGEDIR indicates directory where the fdupes man page is to be 
# installed. Suggested values are "/usr/local/man" or "/usr/man".
#
MANPAGEDIR = /usr/local/man

#
# VERSION determines the program's version number.
#
VERSION = "1.40"

#
# To use the md5sum program for calculating signatures (instead of the
# built in MD5 message digest routines) uncomment the following
# line (try this if you're having trouble with built in code).
#
#EXTERNAL_MD5 = -DEXTERNAL_MD5=\"md5sum\"

#
# This version of fdupes can use a red-black tree structure to
# store file information. This is disabled by default, as it
# hasn't been optimized or verified correct. If you wish to
# enable this untested option, uncomment the following line.
#
#EXPERIMENTAL_RBTREE = -DEXPERIMENTAL_RBTREE

#####################################################################
# no need to modify anything beyond this point                      #
#####################################################################

fdupes: fdupes.c md5/md5.c	
	gcc fdupes.c md5/md5.c -Wall -o fdupes -DVERSION=\"$(VERSION)\" $(EXTERNAL_MD5) $(EXPERIMENTAL_RBTREE)

install: fdupes
	cp fdupes $(INSTALLDIR)
	cp fdupes.1 $(MANPAGEDIR)/man1

tarball: clean
	tar --directory=.. -c -z -v -f ../fdupes-$(VERSION).tar.gz fdupes-$(VERSION)

clean:
	rm -f *.o
	rm -f fdupes
	rm -f *~

love:
	@echo You\'re not my type. Go find a human partner.

## fdupes 1.50-PR2

=== debian/changelog ===
fdupes (1.50-PR2-4ubuntu1) raring; urgency=low

  * Add Multi-Arch: foreign to allow cross build-dependencies.

 -- Wookey <wookey@wookware.org>  Thu, 07 Feb 2013 11:30:38 +0000

=== debian/control ===
Source: fdupes
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.3
Homepage: http://code.google.com/p/fdupes/
Vcs-Git: git://git.debian.org/users/morph/fdupes.git
Vcs-Browser: http://git.debian.org/?p=users/morph/fdupes.git

Package: fdupes
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: foreign
Description: identifies duplicate files within given directories
 FDupes uses md5sums and then a byte by byte comparison to find
 duplicate files within a set of directories. It has several useful
 options including recursion.

=== debian/rules ===
#!/usr/bin/make -f

# This script uses debhelper by Joey Hess
# export DH_VERBOSE=1



build-arch: build
build-indep: build

build: build-stamp
build-stamp:
	dh_testdir
	# build package here
	$(MAKE) LOCAL_LDFLAGS=-g
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	[ ! -f Makefile ] || $(MAKE) -i clean
	
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs usr/bin

	#cp fdupes $(CURDIR)/debian/fdupes/usr/bin
	$(MAKE) install PREFIX=$(CURDIR)/debian/fdupes/usr MAN_BASE_DIR=$(CURDIR)/debian/fdupes/usr/share/man

binary-indep:	build install
binary-arch:	build install
	dh_testdir
	dh_testroot
	dh_installdocs		CONTRIBUTORS TODO
	dh_installman		fdupes.1
	dh_installchangelogs	CHANGES
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary:	binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## fdupes 1.51

=== Makefile ===
#
# fdupes Makefile
#

#####################################################################
# Standand User Configuration Section                               #
#####################################################################

#
# PREFIX indicates the base directory used as the basis for the 
# determination of the actual installation directories.
# Suggested values are "/usr/local", "/usr", "/pkgs/fdupes-$(VERSION)"
#
PREFIX = /usr/local

#
# When compiling for 32-bit systems, FILEOFFSET_64BIT must be enabled
# for fdupes to handle files greater than (2<<31)-1 bytes.
#
FILEOFFSET_64BIT = -D_FILE_OFFSET_BITS=64

#
# Certain platforms do not support long options (command line options).
# To disable long options, uncomment the following line.
#
#OMIT_GETOPT_LONG = -DOMIT_GETOPT_LONG

#
# To use the md5sum program for calculating signatures (instead of the
# built in MD5 message digest routines) uncomment the following
# line (try this if you're having trouble with built in code).
#
#EXTERNAL_MD5 = -DEXTERNAL_MD5=\"md5sum\"

#####################################################################
# Developer Configuration Section                                   #
#####################################################################

#
# VERSION determines the program's version number.
#
include Makefile.inc/VERSION

#
# PROGRAM_NAME determines the installation name and manual page name
#
PROGRAM_NAME=fdupes

#
# BIN_DIR indicates directory where program is to be installed. 
# Suggested value is "$(PREFIX)/bin"
#
BIN_DIR = $(PREFIX)/bin

#
# MAN_DIR indicates directory where the fdupes man page is to be 
# installed. Suggested value is "$(PREFIX)/man/man1"
#
MAN_BASE_DIR = $(PREFIX)/man
MAN_DIR = $(MAN_BASE_DIR)/man1
MAN_EXT = 1

#
# Required External Tools
#

INSTALL = install	# install : UCB/GNU Install compatiable
#INSTALL = ginstall

RM      = rm -f

MKDIR   = mkdir -p
#MKDIR   = mkdirhier 
#MKDIR   = mkinstalldirs


#
# Make Configuration
#
CC = gcc
COMPILER_OPTIONS = -Wall -O -g

CFLAGS= $(COMPILER_OPTIONS) -I. -DVERSION=\"$(VERSION)\" $(EXTERNAL_MD5) $(OMIT_GETOPT_LONG) $(FILEOFFSET_64BIT)

INSTALL_PROGRAM = $(INSTALL) -c -m 0755
INSTALL_DATA    = $(INSTALL) -c -m 0644

#
# ADDITIONAL_OBJECTS - some platforms will need additional object files
# to support features not supplied by their vendor. Eg: GNU getopt()
#
#ADDITIONAL_OBJECTS = getopt.o

OBJECT_FILES = fdupes.o md5/md5.o $(ADDITIONAL_OBJECTS)

#####################################################################
# no need to modify anything beyond this point                      #
#####################################################################

all: fdupes

fdupes: $(OBJECT_FILES)
	$(CC) $(CFLAGS) -o fdupes $(OBJECT_FILES)

installdirs:
	test -d $(BIN_DIR) || $(MKDIR) $(BIN_DIR)
	test -d $(MAN_DIR) || $(MKDIR) $(MAN_DIR)

install: fdupes installdirs
	$(INSTALL_PROGRAM)	fdupes   $(BIN_DIR)/$(PROGRAM_NAME)
	$(INSTALL_DATA)		fdupes.1 $(MAN_DIR)/$(PROGRAM_NAME).$(MAN_EXT)

clean:
	$(RM) $(OBJECT_FILES)
	$(RM) fdupes
	$(RM) *~ md5/*~

love:
	@echo You\'re not my type. Go find a human partner.

=== debian/control ===
Source: fdupes
Section: utils
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.5
Homepage: http://code.google.com/p/fdupes/
Vcs-Git: git://anonscm.debian.org/users/morph/fdupes.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/morph/fdupes.git

Package: fdupes
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: foreign
Description: identifies duplicate files within given directories
 FDupes uses md5sums and then a byte by byte comparison to find
 duplicate files within a set of directories. It has several useful
 options including recursion.

=== debian/watch ===
version=3
#http://netdial.caribe.net/~adrian2/programs/fdupes-(.*)\.tar\.gz
https://code.google.com/p/fdupes/downloads/list //fdupes.googlecode.com/files/fdupes-(.*)\.tar.gz

## fdupes 1.51-1maemo1

=== debian/changelog ===
fdupes (1.51-1maemo1) unstable; urgency=medium

  * first maemo release package from jessie
  * downgraded debhelper/compat

 -- Christian Weniger <less_to_space@web.de>  Wed, 31 Oct 2018 21:40:39 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Sandro Tosi <morph@debian.org>
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 7)
 Standards-Version: 3.9.5
 Homepage: http://code.google.com/p/fdupes/
 Vcs-Git: git://anonscm.debian.org/users/morph/fdupes.git

## fdupes 2.1.1

=== debian/changelog ===
fdupes (1:2.1.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - run wrap-and-sort

 -- Sandro Tosi <morph@debian.org>  Fri, 17 Jul 2020 21:35:33 -0400

fdupes (1:2.0.0-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - extend packaging copyright years
    - update upstream copyright notice
  * debian/control
    - add ncurses and pcre2 to b-d
    - bump Standards-Version to 4.5.0 (no changes needed)
  * debian/rules
    - adapt to new upstream installation mechanism
  * bump dh compat to 13, and express it as a b-d

 -- Sandro Tosi <morph@debian.org>  Sun, 31 May 2020 20:59:48 -0400

=== debian/control ===
Source: fdupes
Section: utils
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Build-Depends: debhelper (>= 11),
               debhelper-compat (= 13),
               libncurses-dev,
               libpcre2-dev,
Standards-Version: 4.5.0
Homepage: https://github.com/adrianlopezroche/fdupes
Vcs-Git: https://salsa.debian.org/morph/fdupes.git
Vcs-Browser: https://salsa.debian.org/morph/fdupes

Package: fdupes
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: foreign
Description: identifies duplicate files within given directories
 FDupes uses md5sums and then a byte by byte comparison to find
 duplicate files within a set of directories. It has several useful
 options including recursion.

=== debian/rules ===
#!/usr/bin/make -f

# This script uses debhelper by Joey Hess
# export DH_VERBOSE=1

DEB_BUILD_GNU_TYPE = $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE = $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
       export CC=$(DEB_HOST_GNU_TYPE)-gcc
endif

%:
	dh $@

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/fdupes/

override_dh_installdocs:
	dh_installdocs		CONTRIBUTORS

## fdupes 2.1.2

=== debian/changelog ===
fdupes (1:2.1.2-1build1) hirsute; urgency=medium

  * No change rebuild fixed ownership on ppc64el.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 25 Feb 2021 13:59:31 +0000

fdupes (1:2.1.2-1) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Fix field name typo in debian/copyright (Comments => Comment).
  * Rely on pre-initialized dpkg-architecture variables.

  [ Sandro Tosi ]
  * New upstream release; Closes: #975640
  * debian/copyright
    - extend packaging copyright years
  * debian/control
    - bump Standards-Version to 4.5.1 (no changes needed)
    - add pkg-config to b-d
  * debian/rules
    - set hardening flags
  * debian/watch
    - bump version to 4

 -- Sandro Tosi <morph@debian.org>  Thu, 14 Jan 2021 00:21:41 -0500

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: fdupes
 Section: utils
 Priority: optional
-Maintainer: Sandro Tosi <morph@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
 Build-Depends: debhelper (>= 11),
                debhelper-compat (= 13),
                libncurses-dev,
                libpcre2-dev,
-Standards-Version: 4.5.0
+               pkg-config,
+Standards-Version: 4.5.1
 Homepage: https://github.com/adrianlopezroche/fdupes
 Vcs-Git: https://salsa.debian.org/morph/fdupes.git
 Vcs-Browser: https://salsa.debian.org/morph/fdupes

## fdupes 2.2.1

=== debian/changelog ===
fdupes (1:2.2.1-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - update upstream copyright notice
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Tue, 27 Sep 2022 23:35:24 -0400

## fdupes 2.3.0

=== debian/changelog ===
fdupes (1:2.3.0-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:52:00 +1100

fdupes (1:2.3.0-1) unstable; urgency=medium

  * New upstream release; Closes: #1043587, #1064453
  * debian/control
    - add libsqlite3-dev to b-d

 -- Sandro Tosi <morph@debian.org>  Sun, 03 Mar 2024 14:27:17 -0500

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
                debhelper-compat (= 13),
                libncurses-dev,
                libpcre2-dev,
+               libsqlite3-dev,
                pkg-config,
 Standards-Version: 4.5.1
 Homepage: https://github.com/adrianlopezroche/fdupes

=== debian/rules ===
#!/usr/bin/make -f

# This script uses debhelper by Joey Hess
# export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
       export CC=$(DEB_HOST_GNU_TYPE)-gcc
endif

%:
	dh $@

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/fdupes/

override_dh_installdocs:
	dh_installdocs		CONTRIBUTORS

## fdupes 2.3.2

=== debian/changelog ===
fdupes (1:2.3.2-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Tue, 19 Nov 2024 19:16:00 -0500

## fdupes 2.4.0

=== debian/changelog ===
fdupes (1:2.4.0-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Sun, 05 Oct 2025 03:55:10 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: fdupes
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
+Maintainer: Sandro Tosi <morph@debian.org>
 Build-Depends: debhelper (>= 11),
                debhelper-compat (= 13),
                libncurses-dev,

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/fdupes-$1.tar.gz/" \
  https://github.com/adrianlopezroche/fdupes/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
